{% set currentGroupe = null %}
{% set currentTyO = null %}
{% set currentTyT = null %}

<div id="layerManager">

	{% for message in app.session.getFlashBag.get('message') %}
		<div class="flash" data-alert="alert">
			<div class="lead btn btn-{{ message.status }}">{{ message.text }}</div>
		</div>
	{% endfor %}


	{% if app.session.get('user_id') == ANONYMID  %}

		{% if messageaccueil == 'inventaire-ce-85' %}

			<h2>Bienvenue sur l'outil cartographique de l'EPTB Sèvre Nantaise</h2>
			<h1>Page dédiée à la démarche d'inventaire des cours d'eau en Vendée.</h1>
			<p>Utilisez le bouton
				<img src="http://ftp.sevre-nantaise.com/web_docs/images/sysma_aide/layers.png"/>
				en haut à gauche de lacrte pour
				<b>choisir la couche de fond à afficher</b>
				(carte IGN, photos aériennes, cartes anciennes etc.).
			</p>
			<p>Vous trouverez ci-dessous différents tracés utiles pour la démarche d'inventaire.</p>


		{% else %}

			<h1>Bienvenue !</h1>
			<h3>
				<a href="#" onclick="sendData(null, '{{ url('login') }}', 'modal-content', event, null);" data-toggle="modal" data-target="#loginModal">Connectez-vous</a>
				pour accéder aux couches Sysma.</h3>

		{% endif %}
	{% endif %}


	{% for group in layers %}

		{% if currentGroupe != group.group and 
        ( U.canAccess(null,group.sysma_object_type_id ,'tous', null, null, null, 'lecteur',  app ) 
        or [app.session.get('user_id'),null,group.sysma_object_type_id ,'tous', null, null, null, 'contributeur',  app ) 
        )%}
			{% set currentGroupe = group.group %}
			<div class="row">
				<div class="col-xs-12">
					<h2>{{ group.group }}</h2>
				</div>
			</div>
		{% endif %}

		{% if (currentTyO == null) or (currentTyO !=  group.sysma_object_type) %}
			{% set currentTyO = group.sysma_object_type %}
			{% set currentTyOId = group.sysma_object_type_id %}


			{% if [app.session.get('user_id'),null,group.sysma_object_type_id , null, null, null, null, 'lecteur']|hasAccess  or [app.session.get('user_id'),null,group.sysma_object_type_id ,'tous', null, null, null, 'contributeur']|hasAccess  %}


				<div class="row" id="layertypeobjetRow{{group.sysma_object_type_id }}">
					<div class="col-xs-1 noPadding">
						<input id="layertypeobjet{{group.sysma_object_type_id }}LayerController" type="checkbox" onclick='addLayer("typeobjet", {{group.sysma_object_type_id }},
												                                        {
												                                   {% for key in group.style|keys %}"{{key}}"
												                                                       :"{{group.style[key]}}", {% endfor %} }
						
												                                               );'/>
					</div>

					<div class="col-xs-1 noPadding">
						{% if group.geometry_type == 'ST_Linestring' %}
							<div style="width:15px;height:{{group.style.weight }}px;margin-top:5px;background-color: {{group.style.color }}; opacity : {{group.style.opacity }};">&nbsp;</div>
						{% endif %}

						{% if group.geometry_type == 'ST_Polygon' %}
							<div style="width:15px;height:10px;border : solid 1px {{ group.style.color }};margin-top:5px;background-color: {{group.style.color }}; background-opacity : {{group.style.opacity }};">&nbsp;</div>
						{% endif %}

						{% if group.geometry_type == 'ST_Point' %}
							<div style="border-radius: {{ group.style.radius is defined ? group.style.radius : '5px' }};width:10px;height:10px;border : solid {{ group.style.weight }}px {{ group.style.color }};margin-top:5px;margin-left:2px;background-color: {{group.style.color }}; background-opacity : {{group.style.opacity }};">&nbsp;</div>
						{% endif %}

					</div>

					<div id="layertypeobjet{{group.sysma_object_type_id }}LayerName" class="col-xs-6 typeobjetTitre " onclick="hs('newObButton{{group.sysma_object_type_id }}'); hs('layertypeobjetTravaux{{group.sysma_object_type_id|raw }}');">
						{{ group.sysma_object_type|raw }}


						<span class="caret"></span>


					</div>


					<div class="col-xs-1 ">
						{% if U.tabAT['sysma_object'][group.sysma_object_type_id] is defined %}
							<a href="#" onclick="sendData(null, '{{ url('formatting',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
								<small>
									<span class="glyphicon glyphicon-th-list text-muted">
										<span></small>
									</a>
								{% endif %}
							</div>


							<div class="col-xs-1 ">
								{% if U.tabFiltres['sysma_object'][group.sysma_object_type_id] is defined %}
									<a title="Couche filtrée" href="#" onclick="sendData(null, '{{ url('filters',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
										<small>
											<span class="glyphicon glyphicon glyphicon-filter text-muted">
												<span></small>
											</a>
										{% endif %}
									</div>


								</div>
							</div>

						</div>

					{% endif %}

				{% endif %}


				<div id="newObButton{{ group.sysma_object_type_id }}" style="display:none;">
					<div class="row">
						<div class="col-xs-1 noPadding"></div>
						<div class="col-xs-10">
							{% if [app.session.get('user_id'),null,group.sysma_object_type_id ,null, null, null, null, 'contributeur']|hasAccess %}
								<a class="btn btn-default btn-xs btnNewOb" href="#" onclick="enableDraw('{{group.geometry_type}}'); sendData('sysma_object_type_id={{ group.sysma_object_type_id }}', '{{ url('set-idtypeobjet-session') }}', 'layerstate', null)">


									{% if group.geometry_type == 'ST_Linestring' %}
										<span class="glyphicon glyphicon-minus" height="15px" title="Créer un nouvel objet {{group.sysma_object_type|raw}}"></span>
									{% endif %}
									{% if group.geometry_type == 'ST_Polygon' %}<img src="/img/polygon.png" height="15px" title="Créer un nouvel objet {{group.sysma_object_type|raw}}"/>
									{% endif %}
									{% if group.geometry_type == 'ST_Point' %}
										<span class="glyphicon glyphicon-map-marker" title="Créer un nouvel objet {{group.sysma_object_type|raw}}"></span>
									{% endif %}

									&nbsp;Créer un nouvel objet
									{{group.sysma_object_type|raw}}</a>
							{% endif %}

							<a class="btn btn-default btn-xs" href="#" onclick="sendData(null, '{{ url('formatting',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
								<span class="glyphicon glyphicon-th-list"></span>
								Analyse thématique</a>

							<a title="Filtrer cette couche" class="btn btn-default btn-xs" href="#" onclick="sendData(null, '{{ url('filters',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
								<span class="glyphicon glyphicon-filter"></span>
								Filtres</a>

							<a title="Changer le style de cette couche" class="btn btn-default btn-xs" href="#" onclick="sendData(null, '{{ url('style',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
								<span class="glyphicon glyphicon-tint"></span>
								Style</a>

						</div>

					</div>

				</div>


				{% if tt[group.sysma_object_type_id]|length > 0 %}


					<div id="layertypeobjetTravaux{{group.sysma_object_type_id }}" style="display:none;">
						<div class="row">
							<div class="col-xs-1 noPadding"></div>
							<div class="col-xs-11">
								<strong>Liste des sysma_action :</strong>
							</div>
						</div>

						{% for tr in tt[group.sysma_object_type_id] %}


							{% if [app.session.get('user_id'),null,group.sysma_object_type_id ,null, tr.sysma_action_type_id, null, null, 'lecteur']|hasAccess  or [app.session.get('user_id'),null,group.sysma_object_type_id ,null, tr.sysma_action_type_id, null, null, 'contributeur']|hasAccess  %}

								{# {{ dump(tr) }} #}

								<div id="layertypesysma_actionRow{{tr.sysma_action_type_id }}" class="row">

									<div class="col-sm-1 col-xs-1 col-md-1">&nbsp;
									</div>
									<div class="col-sm-1 noPadding">
										<input id="layertypesysma_action{{tr.sysma_action_type_id }}LayerController" type="checkbox" onclick='addLayer("typesysma_action", {{tr.sysma_action_type_id }},
																				                                                                                                                       {
																				                                                                                                           {% for key in tr.style|keys %}"{{key}}"
																				                                                                                                                               :"{{tr.style[key]}}", {% endfor %} }, {{ currentTyOId  }} );'/>
									</div>
									<div class="col-sm-1 col-xs-1 col-md-1  noPadding">
										{% if group.geometry_type == 'ST_Linestring' %}
											<div style="width:15px;height:{{tr.style.weight }}px;margin-top:5px;background-color: {{tr.style.color }}; opacity : {{tr.style.opacity }};">&nbsp;</div>
										{% endif %}

										{% if group.geometry_type == 'ST_Polygon' %}
											<div style="width:15px;height:10px;border : solid 1px {{ tr.style.color }};margin-top:5px;background-color: {{tr.style.color }}; background-opacity : {{tr.style.opacity }};">&nbsp;</div>
										{% endif %}

										{% if group.geometry_type == 'ST_Point' %}
											<div style="border-radius:5px;width:10px;height:10px;border : solid {{ tr.style.weight }}px {{ tr.style.color }};margin-top:5px;margin-left:2px;background-color: {{tr.style.color }}; background-opacity : {{tr.style.opacity }};">&nbsp;</div>
										{% endif %}

									</div>
									<div class="col-sm-6 col-xs-6 col-md-6 " id="layertypesysma_action{{tr.sysma_action_type_id }}LayerName">
										{{ tr.sysma_action_type|raw }}
										<small>[{{tr.sysma_action_type_id }}]
										</small>


									</div>
									<div class="col-sm-3 col-xs-3 col-md-3">
										<a title=" {% if U.tabFiltres['sysma_action'][tr.sysma_action_type_id] is not defined %}Filtrer la couche{% else %}Couche filtrée{% endif %}" href="#" onclick="sendData(null, '{{ url('filters',{ 'object_type':'sysma_action','id_type':tr.sysma_action_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
											<small>
												<span class="glyphicon glyphicon glyphicon-filter  {% if U.tabFiltres['sysma_action'][tr.sysma_action_type_id] is not defined %}text-extra-muted{% else %}text-not-muted{% endif %}">
													<span></small>
												</a>
												<a title="Changer le style de cette couche" href="#" onclick="sendData(null, '{{ url('style',{ 'object_type':'sysma_action','id_type':tr.sysma_action_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
													<small>
														<span class="glyphicon glyphicon-tint text-extra-muted"></span>
													</small>
												</a>


											</div>

										</div>

									{% endif %}

								{% endfor %}
								<div class="row">
									<div class="col-xs-12">&nbsp;</div>
								</div>
							</div>


						{% endif %}

					{% endfor %}

					{% if others|length > 0 %}


						{% for ot in others %}


							{% if currentGroupe is not defined or currentGroupe != ot.group %}
								<div class="row">
									<div class="col-xs-12">
										<h2>{{ ot.group|slice(3) }}</h2>
									</div>
								</div>
								{% set currentGroupe  =  ot.group   %}
							{% endif %}

							<div id="layerAutres{{ ot.type }}{{ ot.id }}" class="row">


								<div class="col-xs-1 noPadding">
									<input id="layer{{ ot.type }}{{ ot.id }}LayerController" type="checkbox" onclick='addLayer("{{ ot.type }}", "{{ot.id }}", { {% for key in ot.style|keys %}"{{key}}": "{{ot.style[key]}}", {% endfor %} });'/>
								</div>
								<div class="col-xs-1 noPadding">
									{% if ot.geometry_type == 'ST_Linestring' %}
										<div style="width:15px;height:{{ot.style.weight }}px;margin-top:5px;background-color: {{ot.style.color }}; opacity : {{ot.style.opacity }};">&nbsp;</div>
									{% endif %}

									{% if ot.geometry_type == 'ST_Polygon' %}
										<div style="width:15px;height:10px;border : solid 1px {{ ot.style.color }};margin-top:5px;background-color: {{ot.style.color }}; background-opacity : {{ot.style.opacity }};">&nbsp;</div>
									{% endif %}

									{% if ot.geometry_type == 'ST_Point' %}
										<div style="border-radius:5px;width:10px;height:10px;border : solid {{ ot.style.weight }}px {{ ot.style.color }};margin-top:5px;margin-left:2px;background-color: {{ot.style.color }}; background-opacity : {{ot.style.opacity }};">&nbsp;</div>
									{% endif %}

								</div>
								<div class="col-sm-8" id="layer{{ ot.type }}{{ ot.id }}LayerName">
									{{ ot.nom|capitalize }}
								</div>

							</div>


						{% endfor %}

					{% endif %}


				</div>


				<script type="text/javascript">


					{% for ot in others %}

{% if ot.user_id %}
addLayer("{{ ot.type }}", "{{ ot.id }}", {{ % for key in ot.style|keys %}"
{{ key }}" : "{{ ot.style[key] }}",{% endfor %}});{% endif %}{% endfor %}

{% for group in layers %}


{% if (group.user_id != null) %}

addLayer("typeobjet", {{ group.sysma_object_type_id }}, {{ % for key in group.style|keys %}"{{ key }}" :"{{ group.style[key] }}",{% endfor %}});{% endif %}
{% for tr in tt[group.sysma_object_type_id] %}
{% if (tr.user_id != null) %}
addLayer("typesysma_action", {{ tr.sysma_action_type_id }}, {
{% for key in tr.style|keys %}"{{ key }}" :"{{ tr.style[key] }}",
{% endfor %}
}, {{ group.sysma_object_type_id }});{% endif %}
{% endfor %}
{% endfor %}


$(function () {
$('.flash').delay(1500).fadeIn('normal', function () {
$(this).delay(1000).fadeOut();
});
});

				</script>
